---
id: torrenting
name: Torrenting
description: "Torrenting (TT) is a Private Torrent Tracker for MOVIES / TV / GENERAL"
language: en-US
type: private
encoding: windows-1252
links:
  - https://torrenting.com/

caps:
  categorymappings:
    - {id: 1, cat: Movies, desc: "Movies"}
    - {id: 2, cat: XXX, desc: "XXX"}
    - {id: 3, cat: Movies/BluRay, desc: "Movies/BluRay"}
    - {id: 4, cat: TV/SD, desc: "TV/SD-x264"}
    - {id: 5, cat: TV/HD, desc: "TV/HD-x264"}
    - {id: 11, cat: Movies/HD, desc: "Movies/HD"}
    - {id: 18, cat: TV, desc: "TV/Packs"}
    - {id: 21, cat: Console, desc: "Games/Consoles"}
    - {id: 26, cat: Audio/Video, desc: "Music/Videos"}
    - {id: 27, cat: Audio, desc: "Music/Audio"}
    - {id: 29, cat: TV/Anime, desc: "Anime/Toons"}
    - {id: 30, cat: Books, desc: "Books"}
    - {id: 34, cat: PC/0day, desc: "Applications"}
    - {id: 35, cat: PC/Games, desc: "Games/PC"}
    - {id: 38, cat: Movies/Foreign, desc: "Movies/Non-English"}
    - {id: 40, cat: Movies/DVD, desc: "Movies/DVD-R"}
    - {id: 47, cat: Movies, desc: "Movies/Packs"}
    - {id: 49, cat: Movies/HD, desc: "Movies/x265"}
    - {id: 55, cat: TV/Sport, desc: "Sports"}
    - {id: 82, cat: TV/Foreign, desc: "TV/Non-English"}
    - {id: 93, cat: Audio, desc: "Music/Packs"}
    - {id: 99, cat: TV/HD, desc: "TV/x265"}

  modes:
    search: [q]
    tv-search: [q, season, ep, imdbid]
    movie-search: [q, imdbid]
    music-search: [q]
    book-search: [q]

settings:
  - name: cookie
    type: text
    label: Cookie
  - name: info_cookie
    type: info_cookie
  - name: freeleech
    type: checkbox
    label: Search freeleech only
    default: false
  - name: info_activity
    type: info
    label: Account Inactivity
    default: "All members are required to log into their account at least every 89 days or you will be deleted without warning."

login:
  # using cookie method because login page has embedded Cloudflare turnstile
  method: cookie
  inputs:
    cookie: "{{ .Config.cookie }}"
  test:
    path: t
    selector: a[href="/logout.php"]

search:
  paths:
    # https://torrenting.com/t?1=&5=&free=on&q=climax&qf=ti
    - path: t
  inputs:
    $raw: "{{ range .Categories }}{{.}}=&{{end}}"
    q: "{{ if .Query.IMDBID }}{{ .Query.IMDBID }} {{ else }}{{ end }}{{ .Keywords }}"
    qf: "{{ if .Query.IMDBID }}adv{{ else }}ti{{ end }}"
    free: "{{ if .Config.freeleech }}on{{ else }}{{ end }}"

  rows:
    selector: table#torrentsTable > tbody > tr:has(td.torrentNameInfo)

  fields:
    category:
      selector: a[href^="?"]
      attribute: href
      filters:
        - name: replace
          args: ["?", ""]
    title:
      selector: a[href^="/torrent.php?id="]
    details:
      selector: a[href^="/torrent.php?id="]
      attribute: href
    download:
      selector: a[href^="/download.php/"]
      attribute: href
    genre:
      selector: td.torrentNameInfo > div
      filters:
        - name: re_replace
          args: ["(?i)(Science Fiction)", "Science_Fiction"]
        - name: validate
          args: "Action, Adventure, Animation, Biography, Comedy, Crime, Documentary, Drama, Family, Fantasy, Game-Show, History, Horror, Music, Musical, Mystery, News, Reality-TV, Romance, Science_Fiction, Sci-Fi, Short, Sitcom, Sport, Talk-Show, Thriller, War, Western"
    description:
      text: "{{ .Result.genre }}"
    date:
      selector: td.torrentNameInfo > div
      filters:
        - name: re_replace
          args: [" by.*", ""]
        - name: split
          args: ["|", -1]
    seeders:
      selector: td:nth-last-child(2)
    leechers:
      selector: td:nth-last-child(1)
    size:
      selector: td:nth-last-child(3)
    downloadvolumefactor:
      case:
        "span:contains(\"FreeLeech\")": 0
        "*": 1
    uploadvolumefactor:
      text: 1
    minimumratio:
      text: 1.1
    minimumseedtime:
      # 3 days (as seconds = 3 x 24 x 60 x 60)
      text: 259200
# engine n/a
